Skip to main content
PATCH
/
api
/
v1
/
app-connections
/
gcp
/
{connectionId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/app-connections/gcp/{connectionId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isPlatformManagedCredentials": false,
  "gatewayId": "<unknown>",
  "isAutoRotationEnabled": false,
  "rotation": "<unknown>"
}
'
{
  "appConnection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "app": "gcp",
    "method": "service-account-impersonation",
    "credentials": {},
    "description": "<string>",
    "version": 1,
    "isPlatformManagedCredentials": false,
    "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "isAutoRotationEnabled": false,
    "rotation": {
      "rotationInterval": 123,
      "rotationStatus": "success",
      "rotateAtUtc": {
        "hours": 123,
        "minutes": 123
      },
      "lastRotationMessage": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z"
    },
    "credentialsHash": "<string>",
    "project": {
      "name": "<string>",
      "id": "<string>",
      "type": "<string>",
      "slug": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Check out the configuration docs for GCP Connections to learn how to obtain the required credentials.

Path Parameters

connectionId
string<uuid>
required

The ID of the GCP Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with GCP.

name
string

The updated name of the GCP Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the GCP Connection.

Maximum string length: 256
isPlatformManagedCredentials
enum<boolean>

Not supported for GCP Connections.

Available options:
false
gatewayId

Not supported for GCP Connections.

isAutoRotationEnabled
enum<boolean>

Not supported for GCP Connections.

Available options:
false
rotation

Not supported for GCP Connections.

Response

Default Response

appConnection
GCP (Service Account Impersonation) · object
required